package cn.com.tenlion.systembase.controller.route.publicvideo;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: PublicVideoController
 * @Description: 城乡社区公共安全视频监控
 * @Author: CodeFactory
 * @Date: 2021-10-13 16:53:02
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "城乡社区公共安全视频监控路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/publicvideo")
public class PublicVideoRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("publicvideo/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("publicvideo/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("publicvideo/list");
    }

}